Subject: Re: [PATCH resend] make "git push" update origin and mirrors, "git push --mirror" update mirrors

From: Paolo Bonzini <[email-masked]>
Date: Mon, 28 Apr 2008 07:03:40 +0200

> Yes, I think that is what I was thinking.  By making users always say
> where they are pulling, fetching or pushing from/to it becomes less
> weird when you have to give a refspec too.
> 
> But this clearly harms the `git pull` case that relies upon the magic
> branch.$name.remote and branch.$name.merge keys, as now git-pull is
> expecting the user to supply a remote name, but one was already saved
> for this current branch.

I would have no problem at all in removing the defaulting to "origin". 
Leaving the magic branch.<name>.{remote,merge} as the only case where 
0-argument "git pull" is allowed, would be much simpler to explain, and 
would not impact the "centralized" operation mode.

Paolo